## org.gnu.gtk
Class ToolTipsData

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.ToolTipsData

public class ToolTipsData
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Method Summary
`java.lang.String` `getTipText()`
`protected static java.lang.String` `getTipText(Handle cptr)`
`ToolTips` `getToolTip()`
`protected static Handle` `getToolTip(Handle cptr)`
`Widget` `getWidget()`
`protected static Handle` `getWidget(Handle cptr)`
`protected static Handle` `gtk_tooltips_data_get(Handle widget)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getToolTip

    public ToolTips getToolTip()

### getWidget

    public Widget getWidget()

### getTipText

    public java.lang.String getTipText()

### getToolTip

    protected static final Handle getToolTip(Handle cptr)

### getWidget

    protected static final Handle getWidget(Handle cptr)

### getTipText

    protected static final java.lang.String getTipText(Handle cptr)

### gtk_tooltips_data_get

    protected static final Handle gtk_tooltips_data_get(Handle widget)